# Crow: crow::websocket Namespace Reference

crow::websocket Namespace Reference

Namespace that includes the Connection class and connection struct. Useful for WebSockets connection. More...

## Classes

struct | connection
| A base class for websocket connection. More...
class | Connection
| A websocket connection. More...

## Enumerations

enum class | WebSocketReadState { MiniHeader , Len16 , Len64 , Mask , Payload }

## Detailed Description

Namespace that includes the Connection class and connection struct. Useful for WebSockets connection.

Used specially in crow/websocket.h, crow/app.h and crow/routing.h